Status: Closed Start date: 10/27/2014

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.5   

Description

Related issues:

Related to Insteon - Bug #879: All-link group annotation needs to support dir... Closed 10/29/2014

History

#1 - 10/28/2014 06:42 AM - Luke Murphey

- Status changed from New to In Progress

#2 - 10/28/2014 06:43 AM - Luke Murphey

I need to add the ability to annotate all-link messages sent to a particular device (non-broadcast). Not sure if I need to distinquish between broadcast

and messages sent to a particular device.

#3 - 11/08/2014 07:19 AM - Luke Murphey

The entire reason for dumping the all-link records was to be able to understand the all-link commands for the purpose of labeling and tagging them.

I still don't understand them though. Here are some observations:

Not all of the leak sensors are dumped

The two that are have the same group numbers

The devices are listed as responders (I would have expected them to be controllers)

When tripped, the leak sensors send a command 11 to the hub on group 2 (group 1 might be the dry signal)

#4 - 11/08/2014 07:25 AM - Luke Murphey

It looks like a group 2 is indeed a wet signal; group 4 is dry (found by testing the devices via the set button).

#5 - 11/08/2014 07:32 AM - Luke Murphey

Some info:

http://wiki.indigodomo.com/doku.php?id=indigo_5_documentation:insteon_link_management

http://www.insteonsoftware.com/insteon-device-discovery-explained.php

#6 - 11/08/2014 07:35 AM - Luke Murphey

Jack pot!

The all-link groups are associated with the events. See https://github.com/automategreen/home-controller/blob/master/lib/Insteon/Leak.js for an

example.
#7 - 11/08/2014 09:37 AM - Luke Murphey

- % Done changed from 0 to 50

#8 - 11/14/2014 06:38 AM - Luke Murphey

Using icon from here: https://www.iconfinder.com/icons/111084/drop_oil_rain_icon#size=16

#9 - 11/16/2014 05:32 AM - Luke Murphey

- Subject changed from Leak sensor report to Sensor report

#10 - 11/16/2014 05:34 AM - Luke Murphey

 insteon_lede.jpg?itok=MfueWYUC 

#11 - 11/21/2014 06:18 AM - Luke Murphey

- % Done changed from 50 to 70

#12 - 11/24/2014 06:56 PM - Luke Murphey

- Subject changed from Sensor report to Leak sensor report

#13 - 11/24/2014 06:56 PM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 70 to 100
